package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ShbzkxxDTO implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "社会保障卡信息表流水号")
    private String rsXxzxShbzkxxLsh;
    
    @ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;
    
    @ApiModelProperty(value = "所属城市")
	private String sscs;
	
	@ApiModelProperty(value = "所属机构")
	@NotBlank(message = "所属机构不能为空")
	private String ssjg;
	
	@ApiModelProperty(value = "服务银行")
	@NotBlank(message = "服务银行不能为空")
	private String fwyh;
	
	@ApiModelProperty(value = "收表网点")
	private String sbwd;
	
	@ApiModelProperty(value = "卡类别")
	@NotBlank(message = "卡类别不能为空")
	private String klb;
	
	@ApiModelProperty(value = "申请类型")
	private String sqlx;
	
	@ApiModelProperty(value = "社保卡号")
	private String sbkh;
	
	@ApiModelProperty(value = "社会保障号")
	@NotBlank(message = "社会保障号不能为空")
	private String shbzh;
	
	@ApiModelProperty(value = "姓名")
	@NotBlank(message = "姓名不能为空")
	private String xm;
	
	@ApiModelProperty(value = "生僻字描述")
	private String spzms;
	
	@ApiModelProperty(value = "国家地区")
	@NotBlank(message = "国家地区不能为空")
	private String gj;
	
	@ApiModelProperty(value = "证件类型")
	@NotBlank(message = "证件类型不能为空")
	private String zjlx;
	
	@ApiModelProperty(value = "证件号码")
	@NotBlank(message = "证件号码不能为空")
	private String zjhm;
	
	@ApiModelProperty(value = "证件有效期")
	@NotBlank(message = "证件有效期不能为空")
	private String zjyxq;
	
	@ApiModelProperty(value = "性别")
	@NotBlank(message = "性别不能为空")
	private String xb;
	
	@ApiModelProperty(value = "民族")
	@NotBlank(message = "民族不能为空")
	private String mz;
	
	@ApiModelProperty(value = "出生日期（YYYYMMDD）")
	@NotBlank(message = "出生日期不能为空")
	private String csrq;
	
	@ApiModelProperty(value = "人员状态")
	private String ryzt;
	
	@ApiModelProperty(value = "户口区县")
	private String hkqx;
	
	@ApiModelProperty(value = "户口性质")
	private String hkxz;
	
	@ApiModelProperty(value = "户口地址")
	private String hkdz;
	
	@ApiModelProperty(value = "联系手机")
	@NotBlank(message = "联系手机不能为空")
	private String lxsj;
	
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	
	@ApiModelProperty(value = "通讯地址")
	private String txdz;
	
	@ApiModelProperty(value = "邮政编码")
	private String yzbm;
	
	@ApiModelProperty(value = "电子邮箱")
	private String dzyx;
	
	@ApiModelProperty(value = "个人编号")
	private String grbh;
	
	@ApiModelProperty(value = "单位编号")
	private String dwbh;
	
	@ApiModelProperty(value = "单位名称")
	private String dwmc;
	
	@ApiModelProperty(value = "职业工种")
	private String zygz;
	
	@ApiModelProperty(value = "监护人姓名")
	private String jhrxm;
	
	@ApiModelProperty(value = "监护人证件类型")
	private String jhrzjlx;
	
	@ApiModelProperty(value = "监护人证件号码")
	private String jhrzjhm;
	
	@ApiModelProperty(value = "收件地址")
    private String sjdz;
    
    @ApiModelProperty(value = "数据来源")
    private String sjly;
    
    @ApiModelProperty(value = "补换原因")
    private String bhyy;
    
    @ApiModelProperty(value = "相片")
    private String xp;
    
    @ApiModelProperty(value = "相片回执号")
    private String xphzh;
    
    @ApiModelProperty(value = "申请人身份证姓名面")
    private String zjtpxm;
    
    @ApiModelProperty(value = "申请人身份证国徽面")
    private String zjtpgh;
    
    @ApiModelProperty(value = "监护人身份证姓名面")
    private String jhrzjtpxm;
    
    @ApiModelProperty(value = "监护人身份证国徽面")
    private String jhrzjtpgh;
    
    @ApiModelProperty(value = "监护关系证明材料的信息面")
    private String jhrzjtpcl;
    
    @ApiModelProperty(value = "网点名称")
    private String wdmc;
    
    @ApiModelProperty(value = "网点地址")
    private String wddz;
    
    @ApiModelProperty(value = "网点联系电话")
    private String wdlxdh;
    
    @ApiModelProperty(value = "申领表编码")
    private String slbbm;
    
    @ApiModelProperty(value = "领卡方式")
    private String lkfs;
    
    @ApiModelProperty(value = "省份")
    private String sf;
    
    @ApiModelProperty(value = "县市")
    private String xs;
    
    @ApiModelProperty(value = "区划")
    private String qh;
    
    @ApiModelProperty(value = "地址")
    private String dz;
    
    @ApiModelProperty(value = "收件人姓名")
    private String sjrxm;
    
    @ApiModelProperty(value = "收件人手机")
    private String sj;
    
	public String getRsXxzxShbzkxxLsh() {
		return rsXxzxShbzkxxLsh;
	}

	public void setRsXxzxShbzkxxLsh(String rsXxzxShbzkxxLsh) {
		this.rsXxzxShbzkxxLsh = rsXxzxShbzkxxLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getSscs() {
		return sscs;
	}

	public void setSscs(String sscs) {
		this.sscs = sscs;
	}

	public String getSsjg() {
		return ssjg;
	}

	public void setSsjg(String ssjg) {
		this.ssjg = ssjg;
	}

	public String getFwyh() {
		return fwyh;
	}

	public void setFwyh(String fwyh) {
		this.fwyh = fwyh;
	}

	public String getSbwd() {
		return sbwd;
	}

	public void setSbwd(String sbwd) {
		this.sbwd = sbwd;
	}

	public String getKlb() {
		return klb;
	}

	public void setKlb(String klb) {
		this.klb = klb;
	}

	public String getSqlx() {
		return sqlx;
	}

	public void setSqlx(String sqlx) {
		this.sqlx = sqlx;
	}

	public String getSbkh() {
		return sbkh;
	}

	public void setSbkh(String sbkh) {
		this.sbkh = sbkh;
	}

	public String getShbzh() {
		return shbzh;
	}

	public void setShbzh(String shbzh) {
		this.shbzh = shbzh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getSpzms() {
		return spzms;
	}

	public void setSpzms(String spzms) {
		this.spzms = spzms;
	}

	public String getGj() {
		return gj;
	}

	public void setGj(String gj) {
		this.gj = gj;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getZjyxq() {
		return zjyxq;
	}

	public void setZjyxq(String zjyxq) {
		this.zjyxq = zjyxq;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getMz() {
		return mz;
	}

	public void setMz(String mz) {
		this.mz = mz;
	}

	public String getCsrq() {
		return csrq;
	}

	public void setCsrq(String csrq) {
		this.csrq = csrq;
	}

	public String getRyzt() {
		return ryzt;
	}

	public void setRyzt(String ryzt) {
		this.ryzt = ryzt;
	}

	public String getHkqx() {
		return hkqx;
	}

	public void setHkqx(String hkqx) {
		this.hkqx = hkqx;
	}

	public String getHkxz() {
		return hkxz;
	}

	public void setHkxz(String hkxz) {
		this.hkxz = hkxz;
	}

	public String getHkdz() {
		return hkdz;
	}

	public void setHkdz(String hkdz) {
		this.hkdz = hkdz;
	}

	public String getLxsj() {
		return lxsj;
	}

	public void setLxsj(String lxsj) {
		this.lxsj = lxsj;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getTxdz() {
		return txdz;
	}

	public void setTxdz(String txdz) {
		this.txdz = txdz;
	}

	public String getYzbm() {
		return yzbm;
	}

	public void setYzbm(String yzbm) {
		this.yzbm = yzbm;
	}

	public String getDzyx() {
		return dzyx;
	}

	public void setDzyx(String dzyx) {
		this.dzyx = dzyx;
	}

	public String getGrbh() {
		return grbh;
	}

	public void setGrbh(String grbh) {
		this.grbh = grbh;
	}

	public String getDwbh() {
		return dwbh;
	}

	public void setDwbh(String dwbh) {
		this.dwbh = dwbh;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getZygz() {
		return zygz;
	}

	public void setZygz(String zygz) {
		this.zygz = zygz;
	}

	public String getJhrxm() {
		return jhrxm;
	}

	public void setJhrxm(String jhrxm) {
		this.jhrxm = jhrxm;
	}

	public String getJhrzjlx() {
		return jhrzjlx;
	}

	public void setJhrzjlx(String jhrzjlx) {
		this.jhrzjlx = jhrzjlx;
	}

	public String getJhrzjhm() {
		return jhrzjhm;
	}

	public void setJhrzjhm(String jhrzjhm) {
		this.jhrzjhm = jhrzjhm;
	}

	public String getSjdz() {
		return sjdz;
	}

	public void setSjdz(String sjdz) {
		this.sjdz = sjdz;
	}

	public String getSjly() {
		return sjly;
	}

	public void setSjly(String sjly) {
		this.sjly = sjly;
	}

	public String getBhyy() {
		return bhyy;
	}

	public void setBhyy(String bhyy) {
		this.bhyy = bhyy;
	}

	public String getXp() {
		return xp;
	}

	public void setXp(String xp) {
		this.xp = xp;
	}

	public String getXphzh() {
		return xphzh;
	}

	public void setXphzh(String xphzh) {
		this.xphzh = xphzh;
	}

	public String getZjtpxm() {
		return zjtpxm;
	}

	public void setZjtpxm(String zjtpxm) {
		this.zjtpxm = zjtpxm;
	}

	public String getZjtpgh() {
		return zjtpgh;
	}

	public void setZjtpgh(String zjtpgh) {
		this.zjtpgh = zjtpgh;
	}

	public String getJhrzjtpxm() {
		return jhrzjtpxm;
	}

	public void setJhrzjtpxm(String jhrzjtpxm) {
		this.jhrzjtpxm = jhrzjtpxm;
	}

	public String getJhrzjtpgh() {
		return jhrzjtpgh;
	}

	public void setJhrzjtpgh(String jhrzjtpgh) {
		this.jhrzjtpgh = jhrzjtpgh;
	}

	public String getJhrzjtpcl() {
		return jhrzjtpcl;
	}

	public void setJhrzjtpcl(String jhrzjtpcl) {
		this.jhrzjtpcl = jhrzjtpcl;
	}

	public String getWdmc() {
		return wdmc;
	}

	public void setWdmc(String wdmc) {
		this.wdmc = wdmc;
	}

	public String getWddz() {
		return wddz;
	}

	public void setWddz(String wddz) {
		this.wddz = wddz;
	}

	public String getWdlxdh() {
		return wdlxdh;
	}

	public void setWdlxdh(String wdlxdh) {
		this.wdlxdh = wdlxdh;
	}

	public String getSlbbm() {
		return slbbm;
	}

	public void setSlbbm(String slbbm) {
		this.slbbm = slbbm;
	}

	public String getLkfs() {
		return lkfs;
	}

	public void setLkfs(String lkfs) {
		this.lkfs = lkfs;
	}

	public String getSf() {
		return sf;
	}

	public void setSf(String sf) {
		this.sf = sf;
	}

	public String getXs() {
		return xs;
	}

	public void setXs(String xs) {
		this.xs = xs;
	}

	public String getQh() {
		return qh;
	}

	public void setQh(String qh) {
		this.qh = qh;
	}

	public String getDz() {
		return dz;
	}

	public void setDz(String dz) {
		this.dz = dz;
	}

	public String getSjrxm() {
		return sjrxm;
	}

	public void setSjrxm(String sjrxm) {
		this.sjrxm = sjrxm;
	}

	public String getSj() {
		return sj;
	}

	public void setSj(String sj) {
		this.sj = sj;
	}
}
